package com.winhc.repal.enums;

import cn.hutool.core.util.ObjectUtil;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @description: 字典数据
 *
 */
public class Dict {

    public enum DeletedStatusEnunm {
        /**
         *  是否删除
         */
        否(0),
        是(1);

        public Integer code;

        DeletedStatusEnunm(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    /**
     * 日志动作枚举
     */
    public enum ActionCodeEnum {
        新增客户("CUST_ADD","add"),修改客户("CUST_UPDATE","update"),删除客户("CUST_DEL","delete"),
        新增供应商("SUPPLY_ADD","add"),修改供应商("SUPPLY_UPDATE","update"),删除供应商("SUPPLY_DEL","delete");
        public String code;

        public String bizType;

        ActionCodeEnum(String code, String bizType) {
            this.code = code;
            this.bizType = bizType;
        }

        public String getCode() {
            return code;
        }

        public String getBizType() {
            return bizType;
        }
    }

    public enum custTypeEnum {
        客户(1),供应商(2);
        public Integer code;

        custTypeEnum(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    public enum custPropertyEnum{
        企业(1),个人(2),政府事业单位(3);
        public Integer code;

        custPropertyEnum(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    /**
     * 被告类型
     */
    public enum LitigantTypeEnum {
        /**
         * 报告类型
         */
        自然人("0"),企业("1"),自然人无关联("2");
        private final String code;

        LitigantTypeEnum(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    public enum RankStatusEnum {
        /**
         * 评分结果
         */
        待评分(0), 评分完成(1), 评分失败(3);
        private final Integer code;

        RankStatusEnum(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    public enum TIME_SLOT_ENUM {
        全部("ALL"),近30天("MONTH");

        private String code;

        TIME_SLOT_ENUM(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    public enum COUNT_QUERY_ENUM {
        账款(1),客户(2),用户(3);

        private Integer code;

        COUNT_QUERY_ENUM(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    public enum ReadStatusEnum {
        /**
         * 读状态
         */
        未读(0),已读(1);
        private final Integer code;

        ReadStatusEnum(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }
}
