package com.winhc.repal.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @description AccountRemindHistory VO对象
 * @author Generator
 * @date 2020-12-14
 */
@Data
@Accessors(chain = true)
@ApiModel(value="智能提醒对象")
public class RepalRemindHistoryVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "账本ID")
    private Long repalBookId;

    @ApiModelProperty(value = "账单主键")
    private Long repalBillId;

    @ApiModelProperty(value = "动态主键")
    private String trendId;

    @ApiModelProperty(value = "动态内容")
    private String trendContent;

    @ApiModelProperty(value = "动态类型")
    private String trentType;

    @ApiModelProperty(value = "提醒时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private LocalDateTime remindTime;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "公司CID")
    private String cid;

    @ApiModelProperty(value = "公司id")
    private String companyId;

    @ApiModelProperty(value = "提醒类型：逾期提醒、账款评级、财产线索、风险预警")
    private String remindType;

    @ApiModelProperty(value = "提醒标题")
    private String remindTitle;

    @ApiModelProperty(value = "提醒名称")
    private String remindContent;

    @ApiModelProperty(value = "功能列表,json数组,格式为[{\"text\":\"功能描述\",\"type\":[\"功能类型1\",\"功能类型2\",\"功能类型3\"]}]  " +
            " 功能类型枚举暂时有:cuikuanhan(催款函)、anjianzhenduan(案件诊断)、leianjiansuo(类案检索)、susongtouzi(诉讼投资)、soulvshi(搜律师)、" +
            "zhaocaichan(找财产)、zhaozhaiquan(找债权)、chabeizhixingren(查被执行人)")
    private String functionList;

    @ApiModelProperty(value = "0未读1已读")
    private Integer readStatus;

    @ApiModelProperty(value = "当前评估等级(逾期提醒、账款评级)")
    private String diagnosisGrade;

    @ApiModelProperty(value = "当前评估分值(逾期提醒、账款评级)")
    private BigDecimal diagnosisScore;

    @ApiModelProperty(value = "当前评估分时间(逾期提醒、账款评级)")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private LocalDateTime diagnosisDatetime;

    @ApiModelProperty(value = "应收账款日期(逾期提醒)")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private LocalDateTime endDate;

    @ApiModelProperty(value = "上次评估等级(账款评级,注意如果是第一次评估这边为空)")
    private String preDiagnosisGrade;

    @ApiModelProperty(value = "上次评估分值(账款评级,注意如果是第一次评估这边为空)")
    private BigDecimal preDiagnosisScore;

    @ApiModelProperty(value = "上次评估分时间(账款评级,注意如果是第一次评估这边为空)")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private LocalDateTime preDiagnosisDatetime;

    @ApiModelProperty(value = "动态提醒列表(账款评级,最多10条)")
    private List<DiagnosisDynamicVO> esDynamics;

    @ApiModelProperty(value = "履债评估id(账款评级,跳转生成报表用)")
    private Long diagnosisRecordId;

    @ApiModelProperty(value = "财产线索跳转详情用")
    private String bizId;

    @ApiModelProperty(value = "财产线索跳转详情用")
    private String dimensionType;

    @ApiModelProperty(value = "跳转详情用")
    private String infoType;

    @ApiModelProperty(value = "旧动态跳转详情用")
    private String dynamicId;

    @ApiModelProperty(value = "旧动态跳转详情用")
    private String routing;

    @ApiModelProperty(value = "提醒文案新版,JSON格式")
    private String newTrendContent;

    @ApiModelProperty(value = "0旧1新")
    private String isNew;

    @ApiModelProperty(value = "新动态跳转详情用")
    private String rowKey;

    @ApiModelProperty(value = "新动态跳转详情用")
    private String newDynamicId;

    @ApiModelProperty(value = "新动态跳转详情用")
    private String tn;
}
