package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalBook;
import com.winhc.repal.model.dto.DeleteRepalBookDTO;
import com.winhc.repal.model.vo.RepalBookHomeVO;
import com.winhc.repal.model.vo.RepalBookInfoVO;

import java.util.List;


/**
 * @description RepalBook 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalBookService extends IService<RepalBook> {


    /**
     * 个人首页账本信息
     * @param repalGroupId repalGroupId
     * @return com.winhc.repal.model.vo.RepalBookHomeVO
     * @author xda
     * @date 2022/4/18 09:55
     */
    RepalBookHomeVO getRepalHomeDetail(Long repalGroupId);


    /**
     * 删除账本
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/4/18 10:04
     */
    Boolean deleteRepalBook(DeleteRepalBookDTO dto);


    /**
     * 获取账本列表信息
     * @param repalBookGroupId repalBookGroupId
     * @return java.util.List<com.winhc.repal.model.vo.RepalBookInfoVO>
     * @author xda
     * @date 2022/4/18 10:19
     */
    List<RepalBookInfoVO> getRepalBookInfoList(Long repalBookGroupId);

}
